/*
 * gtk 1.x 2.x  ٸ 
 *
 * Copyright (C) 2002, Nam SungHyun and various contributors
 */
#ifndef __PCCOMPAT_H
#define __PCCOMPAT_H 1

#if (GTK_MAJOR_VERSION < 2)

#define gtk_style_get_font(s) (s)->font
#define GTK_CLASS_TYPE(oc) (oc)->type
#define GTK_OBJECT_GET_CLASS(w) (GTK_OBJECT(w)->klass)
#define _GTK_OBJECT(w) GTK_OBJECT(w)
#define _GS(a) NULL	    /* menu entry: <StockItem> */
#define _GN(a) a	    /* menu entry: to avoid compiler warnign */

#define GTK_STOCK_CANCEL _("Cancel")
#define GTK_STOCK_CLOSE _("Close")
#define GTK_STOCK_OK _("Ok")
#define GTK_STOCK_QUIT _("Quit")
#define gtk_button_new_from_stock(a) gtk_button_new_with_label(a)

#define PC_IconvStr(a,b) ((char *)(a))
#define PC_IconvStrFree(a,b)

#define marshal_VOID__OBJECT_OBJECT gtk_marshal_NONE__POINTER_POINTER

#else /* GTK_MAJOR_VERSION >= 2 */

#include <gdk/gdkx.h> /* gdk_display */
#define _GTK_OBJECT(w) G_OBJECT(w)
#define _GS(a) "<StockItem>",a	    /* menu entry: <StockItem> */
#define _GN(a) a,NULL	    /* menu entry: to avoid compiler warnign */
extern guint32 gdk_time_get(void);

extern char *PC_IconvStr(const char *from, int fromlen);
#define PC_IconvStrFree(a,b) G_STMT_START{ if (a!=b) g_free(b); }G_STMT_END

extern void marshal_VOID__OBJECT_OBJECT (GClosure     *closure,
					 GValue       *return_value,
					 guint         n_param_values,
					 const GValue *param_values,
					 gpointer      invocation_hint,
					 gpointer      marshal_data);

#endif /* GTK_MAJOR_VERSION >= 2 */

#endif /* __PCCOMPAT_H */
